name: base-rts
url: https://gitlab.com/clean-and-itasks/base/rts
maintainer: Camil Staps
contact_email: clean@camilstaps.nl
description: The Clean run time system.
license: BSD-2-Clause
version: 3.0.3
type: Library
src:
  - lib
package:
  extra_files:
    - LICENSE
    - README.md
    - src: misc/Clean.h
      dst: misc/src/Clean.h
rules:
  linux and x64:
    extra_build:
      rts:
        script:
          - cd src
          - ./make_astartup.csh
          - ./make_astartupProfile.csh
          - ./make_astartupProfileGraph.csh
          - ./make_astartupTrace.csh
    extra_package:
      extra_files:
        - src: src/linux64/_startup.o
          dst: lib/Clean System Files/_startup.o
        - src: src/linux64Profile/_startupProfile.o
          dst: lib/Clean System Files/_startupProfile.o
        - src: src/linux64ProfileGraph/_startupProfileGraph.o
          dst: lib/Clean System Files/_startupProfileGraph.o
        - src: src/linux64Trace/_startupTrace.o
          dst: lib/Clean System Files/_startupTrace.o

  linux and x86:
    extra_build:
      rts:
        script:
          - make -B -C src -f Makefile.linux
          - make -B -C src -f Makefileprofile.linux
          - make -B -C src -f Makefiletrace.linux
    extra_package:
      extra_files:
        - src: src/_startup.o
          dst: lib/Clean System Files/_startup.o
        - src: src/_startupProfile.o
          dst: lib/Clean System Files/_startupProfile.o
        - src: src/_startupTrace.o
          dst: lib/Clean System Files/_startupTrace.o

  windows and x64:
    extra_build:
      rts:
        script:
          - cd src
          - cmd /q /c build_windows_object_files_ml64.bat
    extra_package:
      extra_files:
        - src: src/_startup0.o
          dst: lib/Clean System Files/_startup0.o
        - src: src/_startup1.o
          dst: lib/Clean System Files/_startup1.o
        - src: src/_startup1Profile.o
          dst: lib/Clean System Files/_startup1Profile.o
        - src: src/_startup1ProfileGraph.o
          dst: lib/Clean System Files/_startup1ProfileGraph.o
        - src: src/_startup1ProfileGraphB.o
          dst: lib/Clean System Files/_startup1ProfileGraphB.o
        - src: src/_startup1Trace.o
          dst: lib/Clean System Files/_startup1Trace.o
        - src: src/_startup2.o
          dst: lib/Clean System Files/_startup2.o
        - src: src/_startup3.o
          dst: lib/Clean System Files/_startup3.o
        - src: src/_startup4.o
          dst: lib/Clean System Files/_startup4.o
